package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TCkOrderdetail;

/**
 * 出库物料明细Mapper接口
 *
 * @author sunits
 * @date 2024-06-21
 */
public interface TCkOrderdetailMapper extends BaseMapper<TCkOrderdetail> //修改
{
    /**
     * 查询出库物料明细
     *
     * @param id 出库物料明细主键
     * @return 出库物料明细
     */
    public TCkOrderdetail selectTCkOrderdetailById(String id);

    /**
     * 查询出库物料明细列表
     *
     * @param tCkOrderdetail 出库物料明细
     * @return 出库物料明细集合
     */
    public List<TCkOrderdetail> selectTCkOrderdetailList(TCkOrderdetail tCkOrderdetail);

    /**
     * 新增出库物料明细
     *
     * @param tCkOrderdetail 出库物料明细
     * @return 结果
     */
    public int insertTCkOrderdetail(TCkOrderdetail tCkOrderdetail);

    /**
     * 修改出库物料明细
     *
     * @param tCkOrderdetail 出库物料明细
     * @return 结果
     */
    public int updateTCkOrderdetail(TCkOrderdetail tCkOrderdetail);

    /**
     * 删除出库物料明细
     *
     * @param id 出库物料明细主键
     * @return 结果
     */
    public int deleteTCkOrderdetailById(String id);

    /**
     * 批量删除出库物料明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCkOrderdetailByIds(String[] ids);

    /**
     * 批量启用出库物料明细
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTCkOrderdetailByIds(String[] ids);

    /**
     * 批量禁用出库物料明细
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTCkOrderdetailByIds(String[] ids);

    int inserts(TCkOrderdetail tCkOrderdetail);
}
